
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>如何在Ubuntu安装AMD私有驱动？ / iVAN</title>

    <meta name="description" content="如何在Ubuntu安装AMD私有驱动？ 如果你的电脑上有AMD或是nVidia的显卡,你就拥有了很棒的图形处理能力.然而,这些图形供应商对自己产品的秘密都不喜欢公开,包括他们的专有驱动. Ubuntu和其他Linux发行版都使用的是开源驱动.那这两者的差别在哪呢?如何在Ubuntu中安装专有驱动? 二者差别 决定使用开源驱动还是专有驱动可能比你想的还要重要一些.首先,专有驱动的性能远高于前者,因为专有驱动是由AMD开发的,而不是一群能拿到显卡构造图的开源开发者.其次,专有驱动的电源管理也要好的多. 但是,如果驱动出了点问题,Ubunt">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">如何在Ubuntu安装AMD私有驱动？</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>　　如果你的电脑上有AMD或是nVidia的显卡，你就拥有了很棒的图形处理能力。然而，这些图形供应商对自己产品的秘密都不喜欢公开，包括他们的专有驱动。</p>
<p>　　Ubuntu和其他Linux发行版都使用的是开源驱动。那这两者的差别在哪呢？如何在Ubuntu中安装专有驱动？</p>
<h4>二者差别</h4>
<p>　　决定使用开源驱动还是专有驱动可能比你想的还要重要一些。首先，专有驱动的性能远高于前者，因为专有驱动是由AMD开发的，而不是一群能拿到显卡构造图的开源开发者。其次，专有驱动的电源管理也要好的多。</p>
<p>　　但是，如果驱动出了点问题，Ubuntu开发者自己就可以轻易修复问题并更新电脑。而如果是AMD专有图形驱动，你只能等AMD回应你再来修复问题了。大 多数时候，如果你想拥有最佳性能且节省最多能源，专有驱动肯定是不二选择，当你是个疯狂玩家或有其他高性能需求时尤其如此。</p>
<p>　　安装专有驱动有几种不同的方法，这里我提供一个简单的和一个稍微有点难的方法，前者不能保证安装的是最新的版本，后者则能让你运行最新的驱动。</p>
<h4>简单方法</h4>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxMzA3LzIzLzIwMTc1NjVwMTVxcDljOXBkbWhxNWouanBn.jpg"><br />
在Ubuntu最新发行版Raring Ringtail 中，你得多点几步才能到达“附加驱动”的地方，在这里你可以轻易从Ubuntu的源里找到所有系统可用的专有驱动。现在就打开Dash，键入 “Software &amp; Updates”，点击出现的应用图标再点击“附加驱动”的标签。</p>
<p>　　在这个标签里，除了自己的显卡信息，你还能看到三个选项：开源驱动，fglrx专有驱动，以及fglrx-updates专有驱动。后两者的区别在于当 Ubuntu13.04发布时fglrx驱动是当时最新的版本。而fglrx-updates驱动则只要AMD发布了新版本就会自己升级到最新版本。</p>
<p>　　这两个你可以任选一个，点击应用，待安装完毕后重启，你就已经用上了专有驱动了，体验下3D性能的提升吧！</p>
<h4>稍难方法</h4>
<p>　　AMD发布新版本时fglrx-updates驱动就会自动升级，但其实并不总是这样，因为Ubuntu的源的更新老是会有延迟。所以，你可以自己安装指定版本的专有驱动。</p>
<p>　　准备开始吧，在终端敲入以下命令：</p>
<blockquote><p>sudo apt-get install build-essential cdbs dh-make dkms execstack dh-modaliases linux-heade</p></blockquote>
<p>　　如果你的Ubuntu是64位版本，你还需要这个命令：</p>
<blockquote><p>sudo apt-get install lib32gcc1</p></blockquote>
<p>　　这两条命令为下一步创建驱动包部署了必需的环境。</p>
<p>　　然后，去<a href="http://support.amd.com/us/gpudownload/Pages/index.aspx" rel="external nofollow noreferrer">AMD的驱动页面</a>，下载适合你显卡的驱动以及32或是64位的Ubuntu版本。下载完毕后，从 .zip文件中解压出 .run 文件，打开 .run文件的属性并将其设置为可执行。</p>
<p>　　下一步，打开终端，使用 cd 命令进入 .run文件所在文件夹（比如 cd Downloads/ ），然后运行以下命令：</p>
<blockquote><p>sudo sh ./amd-catalyst-version-here-and-such.run –buildpkg Ubuntu/raring</p></blockquote>
<p>　　当然了你得把相应文件名替换进去。如果你使用的不是Ubuntu13.04，你需要用适当的名字替换掉 raring 。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxMzA3LzIzLzIwMTc1ODI0OWZtZ3g1cWY1YTdtNDUuanBn.jpg"></p>
<p>　　当这句命令完毕时你就得到了几个 .deb文件。接下来运行</p>
<blockquote><p>sudo dpkg -i fglrx*.deb</p></blockquote>
<p>　　这个命令会安装所有创建出来的包。完成后，你还得运行一个命令来正确安装新驱动：</p>
<blockquote><p>sudo amdconfig –initial -f</p></blockquote>
<p>　　现在重启电脑，一切搞定！如果你想升级驱动，只要重复以上步骤就好了，从下载驱动开始，到 sudo dpkg -i fglrx*.deb。</p>
<h4>总结</h4>
<p>　　长远来看，专有驱动确实更好，AMD的Linux驱动却一直有点麻烦。然而以上这些技巧足以安装并让它们发挥作用。既然在Linux玩游戏已经越来越流行，知道如何安装专有驱动也变得重要起来。如果你使用的是其他发行版比如Fedora，你可能得去看<a href="http://www.makeuseof.com/tag/install-proprietary-graphics-drivers-ubuntu-fedora-linux/" rel="external nofollow noreferrer">旧一点的说明</a>。</p>
<p>原文发布时间为：2013-07-24</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-06 06:24:52</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%a0%96%e7%a4%be%e5%8c%ba/" title="云栖社区">云栖社区</a>, <a href="https://www.iamivan.net/tag/%e6%80%a7%e8%83%bd/" title="性能">性能</a>, <a href="https://www.iamivan.net/tag/ubuntu/" title="ubuntu">ubuntu</a>, <a href="https://www.iamivan.net/tag/linux/" title="linux">linux</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>如何在Ubuntu安装AMD私有驱动？的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgPmj3p.html" rel="bookmark">如何在 Ubuntu 启用 Radeon 开源驱动的 UVD 硬件解码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Phoronix 今天公布了在 Ubuntu 启用 Radeon 开源驱动 UVD 硬件解码的方法. 首先,你需要一块 Radeon HD 4000 系列或更新的显卡.然后,可以按照以下步骤逐步安装: 安装 VPDAU 的头文件:sudo apt-get install libvdpau-dev 从 Mesa 的 Git 仓库抓取最新代码,加上 --with-gallium-drivers=r600 --enable-vdpau 编译参数进行编译安装. 在 /etc/ld.so.conf.d/z			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7YwgqM.html" rel="bookmark">如何在ubuntu 安装 redmine</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:http://blog.csdn.net/mc1035/article/details/6573031 硬件环境 ubuntu10.10 最好用root用户执行,如果使用其他用户,需要注意用户对文件夹的访问权限   1.安装mysql-server sudo apt-get install mysql-server 按提示安装即可(中间会提示设置root口令). 测试是否安装正确 # 登录 mysql -uroot –proot 2为redmine创建数据库用户 grant all pri			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7xYD4b.html" rel="bookmark">Linux 有问必答：如何在Ubuntu或者Debian中编译安装ixgbe驱动</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux 有问必答:如何在Ubuntu或者Debian中编译安装ixgbe驱动 提问: 我想为我的Intel 10G网卡下载安装最新的ixgbe驱动.我该如何在Ubuntu(或者Debian)中安装ixgbe驱动? Intel的10G网卡(比如,82598. 82599. x540)由ixgbe驱动支持.现代的Linux发行版已经带有了ixgbe驱动,通过可加载模块的方式使用.然而,有些情况你希望在你机器上的自己编译安装ixgbe驱动,比如,你想要体验ixbge驱动的最新特性时.同样,内核默认			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1lB8b.html" rel="bookmark">如何在UBUNTU中安装irobot的驱动</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如何在UBUNTU中安装irobot的驱动 小弟在WINDOWS中下载了irobot的驱动,不知道怎么安装.求大神指教,谢谢 解决方案 ubuntu 下安装intel realsense驱动ubuntu 下安装 odbc 驱动ubuntu安装手柄驱动玩游戏			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDnd1lM.html" rel="bookmark">如何在 Ubuntu 15&period;10，14&period;04 中安装 NVIDIA 358&period;16 驱动程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如何在 Ubuntu 15.10,14.04 中安装 NVIDIA 358.16 驱动程序 NVIDIA 358.16 -- NVIDIA 358 系列的第一个稳定版本已经发布,并对 358.09 中(测试版)做了一些修正,以及一些小的改进. NVIDIA 358 增加了一个新的 nvidia-modeset.ko 内核模块,可以配合 nvidia.ko 内核模块工作来调用 GPU 显示引擎.在以后发布版本中,nvidia-modeset.ko 内核驱动程序将被用于模式设置接口的基础,该接口由内			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWWr77M.html" rel="bookmark">如何在Ubuntu&sol;CentOS上安装Linux内核4&period;0</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如何在Ubuntu/CentOS上安装Linux内核4.0 大家好,今天我们学习一下如何从Elrepo或者源代码来安装最新的Linux内核4.0.代号为'Hurr durr I'm a sheep'的Linux内核4.0是目前为止最新的主干内核.它是稳定版3.19.4之后发布的内核.4月12日是所有的开源运动爱好者的大日子,Linux Torvalds宣布了Linux内核4.0的发布,它现在就已经可用了.由于包括了一些很棒的功能,例如无重启补丁(实时补丁),新的升级驱动,最新的硬件支持以及很多有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj7Vn5M.html" rel="bookmark">Ubuntu 13&period;04双显卡安装NVIDIA GT630M驱动</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  Ubuntu 13.04双显卡安装NVIDIA GT630M驱动 安装 bumblebee 以管理双显卡,下面命令会自动安装NVIDIA显卡驱动 [plain] sudo add-apt-repository ppa:bumblebee/stable sudo apt-get update sudo apt-get install bumblebee bumblebee-nvidia 安装成功后,重启电脑 查看显卡状态 [plain] lspci | grep VGA 00:02.0 VGA			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze6K00b.html" rel="bookmark">如何在Ubuntu 14&period;04 和14&period;10 上安装新的字体</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如何在Ubuntu 14.04 和14.10 上安装新的字体 Ubuntu默认自带了很多字体.但有时候你或许对这些字体还不满意.因此,你可以做的是在Ubuntu 14.04. 14.10或者像Linux Mint之类的其它Linux系统中安装额外的字体. 第一步: 获取字体 第一步也是最重要的一步,下载你选择的字体.现在你或许在考虑从哪里下载字体.不要担心,Google搜索可以给你提供几个免费的字体网站.你可以先去看看 Lost Type 的字体.Squirrel同样也是一个下载字体的好地方.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN7d77p.html" rel="bookmark">如何在 Ubuntu&sol;Fedora&sol;Debian 中安装 GitLab</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如何在 Ubuntu/Fedora/Debian 中安装 GitLab 在 Git 问世之前,分布式版本控制从来都不是一件简单的事.Git 是一个自由开源的软件,旨在轻松且快速地对从小规模到非常巨大的项目进行管理.Git 最开始由 Linus Torvalds 开发,他同时也是著名的 Linux 内核的创建者.在 git 和分布式版本控制系统领域中,GitLab 是一个极棒的新产品.它是一个基于 web 的 Git 仓库管理应用,包含代码审查.wiki.问题跟踪等诸多功能.使用 GitLab 可			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbad7Qz.html" rel="bookmark" class="title">Win8系统下载程序失败，提示签名无效该怎么办</a>
					<div>
						  1.打开IE浏览器,点击右上角的工具(齿轮状)--Internet选项; 2.在打开的Internet选项窗口中,切换至&quot;高级&quot;项,取消勾选设置下面的&quot;检查所下载程序 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnQ4rM.html" rel="bookmark" class="title">看人家用使用InstallShield制作ASP安装程序&lpar;3&rpar;</a>
					<div>
						installshield|程序 下面是建立WEB文件和设置的例子需VBS文件(有虚拟目录设置,但没有权限设置). ////////////////////////////////////////// ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAa09XM.html" rel="bookmark" class="title">用BCB开发多层数据库应用程序</a>
					<div>
						继Client/Server结构在MRP.MIS等数据库应用系统红火之后,多层结构(Multi_Tier)开始登场,许多厂商提供了各种中间件.本文描述了用Borland C++ Builder(以下简 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAx7Bb.html" rel="bookmark" class="title">PHOTOSHOP抠图技巧汇总</a>
					<div>
						在 Photoshop中抠像,最原始的做法是用 Magic Wand Tool 魔术棒将背景中相近颜色的区域选出来删掉,然后用 Eraser Tool 橡皮擦工具仔细擦去背景中剩余的一些碎枝末叶.或者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7KKZM.html" rel="bookmark" class="title">如何创建并配置Ubuntu下QT编译器</a>
					<div>
						操作系统是 Ubuntu 8.04,使用目前最新版本的QT 4.4.0,安装起来即为简单,只要运行以下命令就行: sudo apt-get install qt4-dev-tools qt4-doc  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNnVrM.html" rel="bookmark" class="title">人生壁纸怎么卸载</a>
					<div>
						  1.如果你的电脑已经安装了360安全卫士,那直接打开即可,如果没有安装,就请下载安装起来,并且打开. 2.在打开的界面下方点击&quot;软件管家&quot;. 3.然后点击&quot;软件卸载& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGwB3b.html" rel="bookmark" class="title">拨号窗口显示Begin Negotiation</a>
					<div>
						  在打开电脑后,连接网络时,在拨号窗口显示的是Begin Negotiation,然后等待,最后直接弹出time out的提示. 这种情况说明了网络不通,造成这种情况的原因有以下两种. 1.ADSL ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3PQ6p.html" rel="bookmark" class="title">数据库-新人自学PHPmysql和mysqli对封装工具类的疑问</a>
					<div>
						问题描述 新人自学PHPmysql和mysqli对封装工具类的疑问 学习php过程中发现 看着视频学的封装数据库工具类发现用的全是面像过程的方法 而调用的时候和直接用mysqli差不多感觉还没有直接用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z729vRp.html" rel="bookmark" class="title">Python中的装饰器用法详解&lowbar;python</a>
					<div>
						本文实例讲述了Python中的装饰器用法.分享给大家供大家参考.具体分析如下: 这里还是先由stackoverflow上面的一个问题引起吧,如果使用如下的代码: 复制代码 代码如下: @makebol ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqALoOM.html" rel="bookmark" class="title">如何差别友链才是优质外链</a>
					<div>
						友情链接又叫互惠链接,顾名思义既是双方都有好处,是一个双方诚信合作达到互相推广的过程.友链的作用在这里就不细说了,不清楚的可以查看百度百科. 首先来说一下友链的类型 1.单向链接 即对方单方面链接向你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRq4d8b.html" rel="bookmark" class="title">盘点全国云计算基地 如今已经遍地开花</a>
					<div>
						我国各地云计算基地中心有说多少呢?光是本文中出现的云计算基地中心前前后后加起来总共达到6842192平方米,约合1万亩左右.要是将所有的都统计起来,其面积可想而知. 自从2010年国家发改委将云计算确 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGA0eeM.html" rel="bookmark" class="title">分享我的面向对象分析方法</a>
					<div>
						先分享一下我的面向对象分析方法 找出最关键的一些业务场景:一般通过动词来寻找,比如招聘系统中,一个应聘人投递一个职位就是一次应聘,应聘就是一个业务场景:一个学生参加某门课的考试,那么考试就是一个业务场 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEZvwp.html" rel="bookmark" class="title">电商平台环境下的图像分析在线服务产品&mdash;&mdash;电商图像分析</a>
					<div>
						电商图像分析服务是一款电商平台环境下的图像分析在线服务产品,该产品能为开发者和企业提供若干图像分析和理解技术的在线API服务,包括牛皮癣图像识别.图像背景分析.炒信图像识别等独立服务模块. 从原理上来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOl8qxb.html" rel="bookmark" class="title">android4&period;4版本之后怎么实现swf播放</a>
					<div>
						问题描述 android4.4版本之后怎么实现swf播放 项目中遇到一个需求,app中需要实现播放swf文件.但在网上查询相关资料后,发现android4.4版本之后浏览器内核不支持swf/flash ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRYWvz.html" rel="bookmark" class="title">Lucene5学习之自定义排序</a>
					<div>
						         在Lucene5学习之排序-Sort中,我们已经学习了Sort的用法,已经了解了,Lucene搜索返回的命中结果默认是按照索引文档跟搜索关键字的相关度已经排序的,而相关度又是基于内部 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQaDNp.html" rel="bookmark" class="title">软件-360的界面是什么做的呢</a>
					<div>
						问题描述 360的界面是什么做的呢 请问下360的软件管家的界面是什么做的呢,用C#可以做吗 解决方案 一个可能性是用Webbrowser控件等,然后里面其实加载的是HTML页面,这样可以作出很美观的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDW2K0p.html" rel="bookmark" class="title">ios-修复ARC错误的方法选择</a>
					<div>
						问题描述 修复ARC错误的方法选择 转换工程到ARC ,结果这行代码报错: _font = CTFontCreateWithName((CFStringRef)_fontName, fontSize, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7N7np.html" rel="bookmark" class="title">VMware &plus; OpenStack&colon; 从 Plugin 到 VIO 的演进</a>
					<div>
						VMware 做为实际上的企业虚拟化领导者,对 OpenStack 的态度一直在变化.一开始,VMware 表达出与 OpenStack 的竞争态度.随着 OpenStack 的逐步壮大并且一步一步进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEWvoM.html" rel="bookmark" class="title">多角度详细解释网站安全保护方法</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 一.网站的通用保护方法 针对黑客威 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLKmVp.html" rel="bookmark" class="title">Saga：努力做到未卜先知的个人助理</a>
					<div>
						近日,据相关媒体报道,一款名为Saga的个人助理登陆苹果应用商店准备跟Siri抢饭碗.这款应用的绝招是可以在用户需要了解的时候主动告诉用户需要知道的东西.在大量的数据和算法支撑下应用能够在用户外出的时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZRDLM.html" rel="bookmark" class="title">sql 排重方法</a>
					<div>
						问题描述 现在我遇到这样一个问题:数据库有一张表(User)里面有几个字段是唯一索引比方说有两个字段(name,id)是唯一索引.现在我的程序有批量导入的功能比方说一次导入1000条记录,我需要导入数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKEBRb.html" rel="bookmark" class="title">《工业控制网络安全技术与实践》一3&period;3&period;2　过程控制与监控网络脆弱性分析</a>
					<div>
						3.3.2 过程控制与监控网络脆弱性分析 本文讲的是工业控制网络安全技术与实践一3.3.2 过程控制与监控网络脆弱性分析,过程控制与监控网络中主要部署SCADA 服务器.历史数据库.实时数据库以及人机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwQ5VM.html" rel="bookmark" class="title">新手下了java实用编程100例</a>
					<div>
						问题描述 新手下了java实用编程100例 想照着敲它个滚瓜烂熟,没想到第一个就出了问题 想知道那个arges是从哪里来的 解决方案 参数传进来的.你可以在运行程序的时候附加参数. 好比你执行dos命 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLg44RM.html" rel="bookmark" class="title">Java NIO Channel</a>
					<div>
						Java Nio  1 Java NIO Tutorial 2 Java NIO Overview 3 Java NIO Channel 4 Java NIO Buffer 5 Java NIO Sc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jEAvp.html" rel="bookmark" class="title">IBM发布新全球渠道发展计划与中国渠道策略</a>
					<div>
						日前,IBM在美国举办的&quot;2014年PartnerWorld领导力峰会&quot;上发布了最新的全球渠道发展计划,包括全新的应用开发云即Power开发平台.PartnerWorld全新的 & ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEY6vLb.html" rel="bookmark" class="title">有16个硬币，A和B轮流拿，每次拿的个数只能是1，2，4之一，谁最后拿谁就输。问可以保证赢吗？</a>
					<div>
						问题描述 看到这样一道推理题,我的解法如下(能保证我一定赢)首先:无论谁先拿,我得保证我最后一次拿的时候不能只剩下一个并且剩下的个数只能为(2,3,5)中的一个,不然的话我肯定会输.这样我只要保证在我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrn3Op.html" rel="bookmark" class="title">php 敏感词过滤高级版</a>
					<div>
						只要用户可以发言的地方,就可能出现广告或者其他敏感词,因此必须加入敏感词过滤机制来保持站点的&quot;纯洁&quot;. 过滤机制:加入php关键字正则匹配 //$str 为用户数据 functio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVl2qz.html" rel="bookmark" class="title">jquery移动端TAB触屏切换实现效果&lowbar;jquery</a>
					<div>
						我们使用移动端时可以通过触屏手势左右滑动来切换TAB栏目,如网易新闻等APP栏目切换.我们说的TAB一般由导航条和TAB对应的内容组成,切换导航条上的标签同时标签对应的内容也会跟着切换.本文将结合实例 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1lEdb.html" rel="bookmark" class="title">MyEclipse取消验证Js的两种方法&lowbar;javascript技巧</a>
					<div>
						前言:有时我们通过js写一个web工程的相关页面时感觉很卡,修改内存也不行下面有俩种解决方法: 1. 选中当前工程-properties-MyEclipse-validation-Excluded R ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKXV5M.html" rel="bookmark" class="title">sql 两个字段相减语句</a>
					<div>
						sql 两个字段相减语句 本文章搜索了大量来自网络的关于sql 两个字段相减语句与函数代码,举例说明了两个字段相减做法. select a.字段1,字段2=a.字段2-isnull((select 字 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
